> ## Documentation Index
> Fetch the complete documentation index at: https://hedera-0c6e0218-test-standard-runner.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all incidents

> Fetches a list of all incidents, both resolved and unresolved, affecting the Hedera network.



## OpenAPI

````yaml /hedera-status-api.yaml get /incidents.json
openapi: 3.0.3
info:
  title: Hedera Status API
  description: >-
    API for retrieving the status, components, incidents, and scheduled
    maintenances of the Hedera network.
  version: 1.0.0
servers:
  - url: https://status.hedera.com/api/v2
security: []
paths:
  /incidents.json:
    get:
      summary: Retrieve all incidents
      description: >-
        Fetches a list of all incidents, both resolved and unresolved, affecting
        the Hedera network.
      responses:
        '200':
          description: A JSON object containing all incidents.
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the status page.
                      name:
                        type: string
                        description: Name of the status page.
                      url:
                        type: string
                        format: uri
                        description: URL of the status page.
                      time_zone:
                        type: string
                      updated_at:
                        type: string
                        format: date-time
                        description: Timestamp of the last update.
                  incidents:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the incident.
                        name:
                          type: string
                          description: Name of the incident.
                        status:
                          type: string
                          description: Current status of the incident.
                        impact:
                          type: string
                          description: Impact level of the incident.
                        created_at:
                          type: string
                          format: date-time
                          description: Timestamp when the incident was created.
                        updated_at:
                          type: string
                          format: date-time
                          description: Timestamp of the last update to the incident.
                        resolved_at:
                          type: string
                          format: date-time
                          nullable: true
                          description: Timestamp when the incident was resolved.
                        monitoring_at:
                          type: string
                          format: date-time
                          nullable: true
                          description: Timestamp when monitoring of the incident
                        incident_updates:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              incident_id:
                                type: string
                              status:
                                type: string
                              body:
                                type: string
                              created_at:
                                type: string
                                format: date-time
                              updated_at:
                                type: string
                                format: date-time
                              display_at:
                                type: string
                                format: date-time
                        components:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                description: Unique identifier for the component.
                              name:
                                type: string
                                description: Name of the component.
                              status:
                                type: string
                                description: Current status of the component.
                              created_at:
                                type: string
                                format: date-time
                                description: Timestamp when the component was created.
                              updated_at:
                                type: string
                                format: date-time
                                description: Timestamp of the last update to the component.
                              description:
                                type: string
                                nullable: true
                                description: Description of the component.
                              group:
                                type: boolean
                                description: Indicates if the component is a group.
                              group_id:
                                type: string
                                nullable: true
                                description: >-
                                  Identifier of the group this component belongs
                                  to.
                              only_show_if_degraded:
                                type: boolean
                                description: >-
                                  Whether to show the component only if it's
                                  degraded.
                              position:
                                type: integer
                                description: Position of the component in the list.
                              showcase:
                                type: boolean
                                description: Indicates if the component is showcased.
                              start_date:
                                type: string
                                format: date-time
                                nullable: true
                                description: Start date of the component.
                              page_id:
                                type: string
                                description: >-
                                  Identifier of the page this component belongs
                                  to.

````